# GetFunction

#### **Parameters:**

string package\_id - Required. The `storage_id` of the requested package.&#x20;

string module\_name - Required. The name of the requested module.&#x20;

string name - Required. The name of the requested datatype.&#x20;

#### **Returns:**

function - The function.

#### Example:

{% code overflow="wrap" %}

```json
grpcurl -proto .sui/rpc/v2/move_package_service.proto
-H "x-token: YOUR_TOKEN_VALUE" 
-d 
'{
 .....

}' 
sui.blockpi.network:443 sui.rpc.v2.MovePackageService/GetFunction
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/sui/grpc/suix_getallbalances-13-3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
